/**
 * 霍兰德
 */

import { TABLENAME } from "../config/dbEnum";
import { QUESTIONTITLE, TESTTYPE } from "../config/enum";
import { selectDataToTableAssociation } from "../data/findData";
import { eccEnumValue } from "../tools/eccEnum";


/**
 * 获取题目
 * @param test_type 题目类型：1. 霍兰德
 * @param chapter 章节
 * 1.霍兰德（一、我感兴趣的活动）2.霍兰德（二、我能完成的活动）3.霍兰德（三、我喜欢的职业）4.霍兰德（四、我的能力类型简评A）5.霍兰德（四、我的能力类型简评B）
 * @returns 
 */
export async function getQuestion(test_type, chapter) {
    eccEnumValue("获取题目", "test_type", TESTTYPE, test_type);
    eccEnumValue("获取题目", "chapter", QUESTIONTITLE, chapter);
    let selectParam:any = {is_del:0, test_type:1, chapter:1};
    if (test_type) selectParam.test_type = test_type;
    if (chapter) selectParam.chapter = chapter;
    /** includeConf:关联表配置*/
    let includeConf = {};
    includeConf[TABLENAME.题目选项表] = {colum:["option_name", "points"], where:{is_del:0} }; // colum：关联表需要查询的字段，where：关联表查询条件
    /** questionInfo：多表联查*/
    let questionInfo = await selectDataToTableAssociation(TABLENAME.题目表, includeConf, selectParam, ["chapter", "title"]);


    return {};
}



